%define demodir %{_libdir}/mesa

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		mesa-demos
Epoch:		1
Version:	8.0.1
Release:	2
License:	MIT
URL:		http://www.mesa3d.org
Group:		Development/Libraries
Summary:	Mesa3D GL demo applications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: freeglut-devel
BuildRequires: glew-devel
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libXxf86vm-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel

# prevent the propietary openGL incarnations
BuildConflicts: xorg-x11-drv-fglrx
BuildConflicts: xorg-x11-drv-nvidia
BuildConflicts: xorg-x11-drv-nvidia-legacy
BuildConflicts: xorg-x11-drv-nvidia-legacy96xx
BuildConflicts: dkms-nvidia-x11-drv


%description
This package provides some demo applications for testing Mesa.

%package -n glx-utils
Summary:        GLX utilities
Group:          Development/Libraries

%description -n glx-utils
The glx-utils package provides the glxinfo and glxgears utilities.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-debug

make %{?_smp_mflags}

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/arbfplight
%{_bindir}/arbfslight
%{_bindir}/arbocclude
%{_bindir}/array
%{_bindir}/bezier
%{_bindir}/bitmap
%{_bindir}/bounce
%{_bindir}/brick
%{_bindir}/bump
# this clashes with clear from ncurses
%exclude %{_bindir}/clear
%{_bindir}/clear-fbo
%{_bindir}/clear-fbo-tex
%{_bindir}/clear-random
%{_bindir}/clear-repeat
%{_bindir}/clear-scissor
%{_bindir}/clearspd
%{_bindir}/clear-undefined
%{_bindir}/convolutions
%{_bindir}/copypix
%{_bindir}/copytex
%{_bindir}/corender
%{_bindir}/createwin
%{_bindir}/cubemap
%{_bindir}/deriv
%{_bindir}/dinoshade
%{_bindir}/dissolve
%{_bindir}/dlist-begin-call-end
%{_bindir}/dlist-dangling
%{_bindir}/dlist-degenerate
%{_bindir}/dlist-edgeflag
%{_bindir}/dlist-edgeflag-dangling
%{_bindir}/dlist-flat-tri
%{_bindir}/dlist-mat-tri
%{_bindir}/dlist-recursive-call
%{_bindir}/dlist-tri-flat-tri
%{_bindir}/dlist-tri-mat-tri
%{_bindir}/draw2arrays
%{_bindir}/drawarrays
%{_bindir}/drawelements
%{_bindir}/drawoverhead
%{_bindir}/drawpix
%{_bindir}/drawrange
%{_bindir}/engine
%{_bindir}/fbobind
%{_bindir}/fbo_firecube
%{_bindir}/fbotexture
%{_bindir}/fill
%{_bindir}/fire
%{_bindir}/flat-clip
%{_bindir}/fogcoord
%{_bindir}/fplight
%{_bindir}/fragcoord
%{_bindir}/fslight
%{_bindir}/fsraytrace
%{_bindir}/fs-tri
%{_bindir}/gamma
%{_bindir}/gearbox
%{_bindir}/gears
%{_bindir}/geartrain
%{_bindir}/genmipmap
%{_bindir}/glinfo
%{_bindir}/gloss
%{_bindir}/glsync
%{_bindir}/gltestperf
%{_bindir}/glthreads
%{_bindir}/gs-tri
%{_bindir}/identity
%{_bindir}/ipers
%{_bindir}/isosurf
%{_bindir}/line
%{_bindir}/line-clip
%{_bindir}/line-cull
%{_bindir}/line-flat
%{_bindir}/lineloop
%{_bindir}/lineloop-clip
%{_bindir}/lineloop-elts
%{_bindir}/line-smooth
%{_bindir}/line-stipple-wide
%{_bindir}/linestrip
%{_bindir}/linestrip-clip
%{_bindir}/linestrip-flat-stipple
%{_bindir}/linestrip-stipple
%{_bindir}/linestrip-stipple-wide
%{_bindir}/line-userclip
%{_bindir}/line-userclip-clip
%{_bindir}/line-userclip-nop
%{_bindir}/line-userclip-nop-clip
%{_bindir}/line-wide
%{_bindir}/linktest
%{_bindir}/lodbias
%{_bindir}/long-fixed-func
%{_bindir}/mandelbrot
%{_bindir}/manywin
%{_bindir}/morph3d
%{_bindir}/multiarb
%{_bindir}/multictx
%{_bindir}/multinoise
%{_bindir}/multitex
%{_bindir}/noise
%{_bindir}/noise2
%{_bindir}/offset
%{_bindir}/overlay
%{_bindir}/paltex
%{_bindir}/pbdemo
%{_bindir}/pbinfo
%{_bindir}/pgon-mode
%{_bindir}/point
%{_bindir}/pointblast
%{_bindir}/point-clip
%{_bindir}/pointcoord
%{_bindir}/point-param
%{_bindir}/points
%{_bindir}/point-sprite
%{_bindir}/point-wide
%{_bindir}/point-wide-smooth
%{_bindir}/poly
%{_bindir}/poly-flat
%{_bindir}/poly-flat-clip
%{_bindir}/poly-flat-unfilled-clip
%{_bindir}/poly-unfilled
%{_bindir}/projtex
%{_bindir}/quad
%{_bindir}/quad-clip
%{_bindir}/quad-clip-all-vertices
%{_bindir}/quad-clip-nearplane
%{_bindir}/quad-degenerate
%{_bindir}/quad-flat
%{_bindir}/quad-offset-factor
%{_bindir}/quad-offset-unfilled
%{_bindir}/quad-offset-units
%{_bindir}/quads
%{_bindir}/quadstrip
%{_bindir}/quadstrip-clip
%{_bindir}/quadstrip-cont
%{_bindir}/quadstrip-flat
%{_bindir}/quad-tex-2d
%{_bindir}/quad-tex-3d
%{_bindir}/quad-tex-alpha
%{_bindir}/quad-tex-pbo
%{_bindir}/quad-tex-sub
%{_bindir}/quad-unfilled
%{_bindir}/quad-unfilled-clip
%{_bindir}/quad-unfilled-stipple
%{_bindir}/ray
%{_bindir}/readpix
%{_bindir}/readpixels
%{_bindir}/reflect
%{_bindir}/renormal
%{_bindir}/samplers
%{_bindir}/samplers_array
%{_bindir}/shadow_sampler
%{_bindir}/shadowtex
%{_bindir}/shape
%{_bindir}/sharedtex
%{_bindir}/sharedtex_mt
%{_bindir}/shtest
%{_bindir}/singlebuffer
%{_bindir}/skinning
%{_bindir}/spectex
%{_bindir}/spriteblast
%{_bindir}/stex3d
%{_bindir}/swapbuffers
%{_bindir}/teapot
%{_bindir}/terrain
%{_bindir}/tessdemo
%{_bindir}/texaaline
%{_bindir}/texcyl
%{_bindir}/texdemo1
%{_bindir}/texenv
%{_bindir}/teximage
%{_bindir}/texture_from_pixmap
%{_bindir}/textures
%{_bindir}/toyball
%{_bindir}/tri
%{_bindir}/tri-alpha
%{_bindir}/tri-alpha-tex
%{_bindir}/tri-array-interleaved
%{_bindir}/tri-blend
%{_bindir}/tri-blend-color
%{_bindir}/tri-blend-max
%{_bindir}/tri-blend-min
%{_bindir}/tri-blend-revsub
%{_bindir}/tri-blend-sub
%{_bindir}/tri-clear
%{_bindir}/tri-clip
%{_bindir}/tri-cull
%{_bindir}/tri-cull-both
%{_bindir}/tri-dlist
%{_bindir}/tri-edgeflag
%{_bindir}/trifan
%{_bindir}/trifan-flat
%{_bindir}/trifan-flat-clip
%{_bindir}/trifan-flat-unfilled-clip
%{_bindir}/trifan-unfilled
%{_bindir}/tri-fbo
%{_bindir}/tri-fbo-tex
%{_bindir}/tri-fbo-tex-mip
%{_bindir}/tri-flat
%{_bindir}/tri-flat-clip
%{_bindir}/tri-fog
%{_bindir}/tri-fp
%{_bindir}/tri-fp-const-imm
%{_bindir}/tri-lit
%{_bindir}/tri-lit-material
%{_bindir}/tri-logicop-none
%{_bindir}/tri-logicop-xor
%{_bindir}/tri-mask-tri
%{_bindir}/tri-multitex-vbo
%{_bindir}/tri-orig
%{_bindir}/tri-query
%{_bindir}/trirast
%{_bindir}/tri-repeat
%{_bindir}/tri-scissor-tri
%{_bindir}/trispd
%{_bindir}/tri-square
%{_bindir}/tri-stencil
%{_bindir}/tri-stipple
%{_bindir}/tristrip
%{_bindir}/tristrip-clip
%{_bindir}/tristrip-flat
%{_bindir}/tri-tex
%{_bindir}/tri-tex-3d
%{_bindir}/tri-tri
%{_bindir}/tri-unfilled
%{_bindir}/tri-unfilled-clip
%{_bindir}/tri-unfilled-edgeflag
%{_bindir}/tri-unfilled-fog
%{_bindir}/tri-unfilled-point
%{_bindir}/tri-unfilled-smooth
%{_bindir}/tri-unfilled-tri
%{_bindir}/tri-unfilled-tri-lit
%{_bindir}/tri-unfilled-userclip
%{_bindir}/tri-unfilled-userclip-stip
%{_bindir}/tri-userclip
%{_bindir}/tri-viewport
%{_bindir}/tri-z
%{_bindir}/tri-z-9
%{_bindir}/tri-z-eq
%{_bindir}/tunnel
%{_bindir}/tunnel2
%{_bindir}/twoside
%{_bindir}/vao_demo
%{_bindir}/vbo
%{_bindir}/vbo-drawarrays
%{_bindir}/vbo-drawelements
%{_bindir}/vbo-drawrange
%{_bindir}/vbo-noninterleaved
%{_bindir}/vertexrate
%{_bindir}/vert-or-frag-only
%{_bindir}/vert-tex
%{_bindir}/vp-array
%{_bindir}/vp-array-int
%{_bindir}/vp-clip
%{_bindir}/vp-line-clip
%{_bindir}/vp-tri
%{_bindir}/vp-tri-cb
%{_bindir}/vp-tri-cb-pos
%{_bindir}/vp-tri-cb-tex
%{_bindir}/vp-tri-imm
%{_bindir}/vp-tri-invariant
%{_bindir}/vp-tri-swap
%{_bindir}/vp-tri-tex
%{_bindir}/vp-unfilled
%{_bindir}/vsraytrace
%{_bindir}/wincopy
%{_bindir}/winpos
%{_bindir}/xfont
%{_bindir}/xrotfontdemo

%files -n glx-utils
%defattr(-,root,root)
%{_bindir}/glxcontexts
%{_bindir}/glxdemo
%{_bindir}/glxgears
%{_bindir}/glxgears_fbconfig
%{_bindir}/glxgears_pixmap
%{_bindir}/glxheads
%{_bindir}/glxinfo
%{_bindir}/glxpbdemo
%{_bindir}/glxpixmap
%{_bindir}/glxsnoop
%{_bindir}/glxswapcontrol


%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Fri Dec 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:8.0.1-2
- adjusted EPOCH to fit current mesa packages
* Fri Nov 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 8.0.1-1
- initial CCux package release
